#!/bin/bash

# $1 = PI Version

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# get current Kernel Version
KERNEL4=$(uname --all | grep " 4\." | wc -l) 

if [ "$KERNEL4" -gt "0" ]; then
	if [ "$1" == "BCM2709" -o "$1" == "BCM2837" -o "$1" == "BCM2835" -o "$1" == "BCM2836" ]; then
		
		if [ "$2" == "DACPLUS" ]; then
			echo "<b>Update to Custom Kernel 4.4.41</b>"
			wget -O /opt/max2play/cache/kernel.tgz cdn.max2play.com/pi/kernels/m2p_rpi_4_4_41_Piano_Boss.tgz
			#wget -O /opt/max2play/cache/kernel.tgz cdn.max2play.com/pi/kernels/rpi_4_4_30_modules-PianoDAC_2_1.tgz
			tar xzf /opt/max2play/cache/kernel.tgz -C /
		else
			echo "<b>Update to Latest Official Kernel</b>"
			rpi-update
		fi
		
		echo "Kernel Changed!"
		exit 1
	else
		echo "Not Supported - only for New Raspberry B+ / 2 / 3. Please use a newer version of Max2Play to get support for older Raspberry Pi versions."
		exit 1
	fi
fi
